untrusted comment: verify with openbsd-72-base.pub
RWQTKNnK3CZZ8CXV5TYl4ere86Mky8e8lFAHDmkxLtMSM/FIhBJDBk8bHXIlZ9ZO8H5tE4hgZ7vjWOSxnL2PQ+nJYuci8mJIQwM=

OpenBSD 7.2 errata 003, October 27, 2022:

Restore operation of Apple-specific Fn-key keyboard sequences.

Apply by doing:
    signify -Vep /etc/signify/openbsd-72-base.pub -x 003_ukbd.patch.sig \
        -m - | (cd /usr/src && patch -p0)

And then rebuild and install a new kernel:
    KK=`sysctl -n kern.osversion | cut -d# -f1`
    cd /usr/src/sys/arch/`machine`/compile/$KK
    make obj
    make config
    make
    make install

Index: sys/dev/usb/ukbd.c
===================================================================
RCS file: /cvs/src/sys/dev/usb/ukbd.c,v
diff -u -p -r1.87 ukbd.c
--- sys/dev/usb/ukbd.c	16 Sep 2022 16:30:10 -0000	1.87
+++ sys/dev/usb/ukbd.c	25 Oct 2022 19:01:35 -0000
@@ -131,7 +131,6 @@ struct ukbd_softc {
 
 	struct hidkbd		sc_kbd;
 	int			sc_spl;
-	struct hid_location	sc_apple_fn;
 
 #ifdef DDB
 	struct timeout		sc_ddb;	/* for entering DDB */
@@ -242,7 +241,7 @@ ukbd_attach(struct device *parent, struc
 
 	if (uha->uaa->vendor == USB_VENDOR_APPLE) {
 		if (hid_locate(desc, dlen, HID_USAGE2(HUP_APPLE, HUG_FN_KEY),
-		    uha->reportid, hid_input, &sc->sc_apple_fn, &qflags)) {
+		    uha->reportid, hid_input, &kbd->sc_fn, &qflags)) {
 			if (qflags & HIO_VARIABLE) {
 				switch (uha->uaa->product) {
 				case USB_PRODUCT_APPLE_FOUNTAIN_ISO:
